Intel® X86 Encoder Decoder: xed_format_options_t Struct Reference

Intel® X86 Encoder Decoder

Loading...
Searching...
No Matches
xed_format_options_t Struct Reference
Printing (disassembling) Instructions

Options for the disasembly formatting functions. More...

`#include <xed-format-options.h>`

## Data Fields
xed_bool_t | emit_ignored_branch_taken_hint
| emit ignored branch hints
unsigned int | hex_address_before_symbolic_name
| by default, XED prints the hex address before any symbolic name for branch targets.
xed_bool_t | lowercase_hex
| lowercase hexadecimal
unsigned int | no_sign_extend_signed_immediates
| do not sign extend signed immediates
unsigned int | omit_unit_scale
| omit unit scale "*1"
xed_bool_t | positive_memory_displacements
| Show negative memory displacements as positive numbers.
unsigned int | write_mask_curly_k0
| write-mask-with-curly-brackets, omit k0
unsigned int | xml_a
| Simple XML output format for the Intel syntax disassembly.
unsigned int | xml_f
| Include flags in the XML formatting (must also supply xml_a).

## Detailed Description

Options for the disasembly formatting functions.

Set once during initialization by a calling xed_format_set_options

## Field Documentation

## ◆ emit_ignored_branch_taken_hint

xed_bool_t emit_ignored_branch_taken_hint

emit ignored branch hints

## ◆ hex_address_before_symbolic_name

unsigned int hex_address_before_symbolic_name

by default, XED prints the hex address before any symbolic name for branch targets.

If set to zero, then XED will not print the hex address before a valid symbolic name.

## ◆ lowercase_hex

xed_bool_t lowercase_hex

lowercase hexadecimal

## ◆ no_sign_extend_signed_immediates

unsigned int no_sign_extend_signed_immediates

do not sign extend signed immediates

## ◆ omit_unit_scale

unsigned int omit_unit_scale

omit unit scale "*1"

## ◆ positive_memory_displacements

xed_bool_t positive_memory_displacements

Show negative memory displacements as positive numbers.

## ◆ write_mask_curly_k0

unsigned int write_mask_curly_k0

write-mask-with-curly-brackets, omit k0

## ◆ xml_a

unsigned int xml_a

Simple XML output format for the Intel syntax disassembly.

## ◆ xml_f

unsigned int xml_f

Include flags in the XML formatting (must also supply xml_a).

The documentation for this struct was generated from the following file:

- xed-format-options.h